App icon aspect ratio in the panel is broken

Bug #1872026 reported by Mark Smith on 2020-04-10
44
This bug affects 6 people
Affects Status Importance Assigned to Milestone
GNOME Shell
Unknown
Unknown
gnome-shell (Ubuntu)
Low
Marco Trevisan (Treviño)
Focal
Low
Marco Trevisan (Treviño)

Bug Description

[ Impact ]

The aspect ratio of the icon on the top left of the screen (Activites bar?) is broken so it looks taller and thinner than normal.

See attached screenshot.

[ Test case ]

- Run an application such as update-manager
- The application icon on the top panel should have correct propotions

[ Regression potential ]

Icons may have wrong vertical aligment

-----

ProblemType: BugDistroRelease: Ubuntu 20.04
Package: ubuntu-release-upgrader-core 1:20.04.18
ProcVersionSignature: Ubuntu 5.4.0-23.27-generic 5.4.29
Uname: Linux 5.4.0-23-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu26
Architecture: amd64
CasperMD5CheckResult: skip
CrashDB: ubuntu
CurrentDesktop: ubuntu:GNOME
Date: Fri Apr 10 09:10:09 2020
InstallationDate: Installed on 2020-01-24 (76 days ago)
InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_GB.UTF-8
 SHELL=/bin/bashSourcePackage: ubuntu-release-upgrader
Symptom: ubuntu-release-upgrader
UpgradeStatus: No upgrade log present (probably fresh install)
VarLogDistupgradeAptlog:
 Log time: 2020-04-10 09:03:51.154471
 Starting pkgProblemResolver with broken count: 0
 Starting 2 pkgProblemResolver with broken count: 0
 Done
VarLogDistupgradeTermlog:

mtime.conffile..etc.update-manager.release-upgrades: 2020-04-03T20:22:43.358127

Mark Smith (juglugs1974) wrote :
affects: ubuntu-release-upgrader (Ubuntu) → gnome-shell (Ubuntu)
Daniel van Vugt (vanvugt) wrote :

Thanks for the bug report. I can't seem to find any existing reports of this problem. Please:

1. Make sure the bug still happens even with extensions (if any) disabled/uninstalled; and

2. If the bug still happens then report it to the upstream developers at:

   https://gitlab.gnome.org/GNOME/gnome-shell/-/issues

   and then tell us the new issue ID.

summary: - Activity Bar icon aspect ratio broken
+ App icon aspect ratio in the panel is broken
Changed in gnome-shell (Ubuntu):
status: New → Incomplete
Changed in gnome-shell (Ubuntu):
status: Incomplete → Confirmed
Changed in gnome-shell (Ubuntu):
status: Confirmed → Fix Committed
tags: added: fixed-in-3.36.3 fixed-upstream
tags: added: groovy
Amr Ibrahim (amribrahim1987) wrote :

Yep, I have this bug using Eclipse and Zoom.

description: updated
Changed in gnome-shell (Ubuntu Focal):
status: New → Fix Committed
Changed in gnome-shell (Ubuntu):
importance: Undecided → Low
Changed in gnome-shell (Ubuntu Focal):
importance: Undecided → Low
Changed in gnome-shell (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in gnome-shell (Ubuntu Focal):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.36.3-1ubuntu2

---------------
gnome-shell (3.36.3-1ubuntu2) groovy; urgency=medium

  * d/p/shell-mime-sniffer-Ignore-invalid-file-content-type.patch:
    - gnome-shell-sniffer, don't crash when opening files with invalid content
      type (LP: #1865300)

 -- Marco Trevisan (Treviño) <email address hidden> Fri, 05 Jun 2020 20:14:47 +0200

Changed in gnome-shell (Ubuntu):
status: Fix Committed → Fix Released

Hello Mark, or anyone else affected,

Accepted gnome-shell into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.36.3-1ubuntu1~20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-focal
Alexey Kulik (doctor-rover) wrote :

It fixes the issue for me after update of gnome-shell package with focal-proposed enabled.
gnome-shell version is 3.36.3-1ubuntu1~20.04.2
Tested using winecfg.

tags: added: verification-done-focal
removed: verification-needed-focal
Launchpad Janitor (janitor) wrote :
Download full text (4.4 KiB)

This bug was fixed in the package gnome-shell - 3.36.3-1ubuntu1~20.04.2

---------------
gnome-shell (3.36.3-1ubuntu1~20.04.2) focal; urgency=medium

  * No change backport to focal

gnome-shell (3.36.3-1ubuntu2) groovy; urgency=medium

  * d/p/shell-mime-sniffer-Ignore-invalid-file-content-type.patch:
    - gnome-shell-sniffer, don't crash when opening files with invalid content
      type (LP: #1865300)

gnome-shell (3.36.3-1ubuntu1~20.04.1) focal; urgency=medium

  * No change backport to focal (LP: #1881973)

gnome-shell (3.36.3-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream release:
    - Fix app icon aspect ratio in the panel (LP: #1872026)
    - Ensure that Do not disturb is persistent across sessions (LP: #1873692)
    - Fix Theme node crashes (LP: #1877774, LP: #1877760)
  * debian/patches: Refresh
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop...

Read more...

Changed in gnome-shell (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-shell has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.